@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

body {
  background-color: #F4E5BC;
}

.bayan {
  font-family: 'Roboto', sans-serif;
}

.mem {
  max-width: 50%;
  margin: 5% auto;
}

.mem:hover .title {
  color: rebeccapurple;
}

.mem-item {
  margin-bottom: 1%;
  border-bottom: 0.5vh solid black;
}

.mem-title {
  /* display: block; */
  padding: 0.3em 0.8em;
  color: black;
  cursor: pointer;
  font-family: 'Roboto', sans-serif;
  font-size: 1.3em;
  font-weight: bold;

}

.mem-input {
  width: 0;
  height: 0;
  appearance: none;

}

.mem-input:checked+.mem-title>.mem-image {
  max-height: 100vh;
}

.mem-title:hover>.mem-image {
  max-height: 100vh;
  transition: 2s;
}

input[type="radio"]+label:active>.title-plus,
input[type="radio"]+label:active>.mem-image {
  opacity: 50%;
}

.mem-image {
  display: block;
  max-height: 0;
  overflow: hidden;
}

.title-plus {
  display: flex;
  justify-content: space-between;
}

.plus-img {
  font-size: 1.5vw;
  transition: transform 0.3s ease-in-out;
  display: none;
}

.mem:hover .plus-img {
  color: palevioletred;
  display: block;
}

.mem-title:hover .plus-img {
  transform: rotate(45deg);
}

.mem-title:active .plus-img {
  transform: rotate(45deg);
}

img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 60%;
  height: 50%;
  cursor: pointer;
  padding-bottom: 0.2em;
}

.mem-input {
  display: contents;
}


@media(max-width: 1100px) {
  .mem-title {
    font-size: 1em;
  }

  img {
    width: 80%;
  }

  .mem {
    max-width: 80%;
  }

  .plus-img {
    font-size: 2.5vw;
  }
}

@media(max-width: 430px) {
  .mem {
    max-width: 80%;
  }

  .mem-title {
    font-size: 0.7em;
  }

  img {
    width: 90%;
  }

  .plus-img {
    font-size: 3vw;
  }
}